package nc.lic.ui;

import java.io.File;
import nc.lic.LicenseControl;
import nc.lic.model.License;
import nc.lic.model.LicenseContainer;
import nc.lic.toolkit.LicToolKit;

public class ImportLicenseMain {

   public static void main(String[] args) {
      boolean b = true;
      String ncHome = LicToolKit.getNcHome();
      if(!(new File(ncHome)).exists()) {
         b = false;
      }

      if(b && args.length == 0) {
         b = false;
      }

      if(b) {
         importLicense(args[0]);
      } else {
         System.out.println("ImportLicenseMain Usage:");
         System.out.println("java -Dnc.server.location=nchomeDir nc.lic.ui.ImportLicenseMain licenseResponseFilePath");
      }

   }

   private static void importLicense(String lrsfile) {
      File file = new File(lrsfile);
      if(!file.exists()) {
         System.out.println(lrsfile);
      }

      License[] licenses = LicToolKit.loadLicensefromFile(file);
      int count = licenses == null?0:licenses.length;
      File lcFile = LicToolKit.getLicenseFile();
      LicenseContainer lc = LicToolKit.loadLicenseContainerFromFile(lcFile);

      for(int i = 0; i < count; ++i) {
         License license = licenses[i];

         try {
            lc.importLicense(license);
         } catch (Exception var9) {
            var9.printStackTrace();
         }
      }

      LicToolKit.storeLicenseContainerToFile(lc, lcFile);
      LicenseControl.getInstance().refresh();
   }
}
